curl --request GET \
--url https://api.apitwitter.com/twitter/users/batch \
--header 'X-API-Key: <api-key>'{
"data": [
{
"id": "44196397",
"userName": "elonmusk",
"name": "Elon Musk",
"screen_name": "elonmusk",
"description": "",
"location": "",
"url": "",
"created_at": "Tue Jun 02 20:12:29 +0000 2009",
"followers": 237097815,
"following": 1301,
"favourites_count": 218243,
"statuses_count": 99784,
"listed_count": 167966,
"media_count": 4408,
"verified": false,
"is_blue_verified": true,
"profile_image_url": "https://pbs.twimg.com/profile_images/2035314704307081216/71U1ftM3_normal.jpg",
"profile_banner_url": "https://pbs.twimg.com/profile_banners/44196397/1739948056",
"protected": false,
"can_dm": false
},
{
"id": "50393960",
"userName": "BillGates",
"name": "Bill Gates",
"screen_name": "BillGates",
"description": "Sharing things I'm learning through my foundation work and other interests.",
"location": "Seattle, WA",
"url": "https://t.co/TiXXwOGE95",
"created_at": "Wed Jun 24 18:44:10 +0000 2009",
"followers": 62764248,
"following": 572,
"favourites_count": 545,
"statuses_count": 4517,
"listed_count": 115498,
"media_count": 1530,
"verified": false,
"is_blue_verified": true,
"profile_image_url": "https://pbs.twimg.com/profile_images/1879013694367252480/Gxa-Pspq_normal.jpg",
"profile_banner_url": "https://pbs.twimg.com/profile_banners/50393960/1745250848",
"protected": false,
"can_dm": false
}
]
}Batch lookup multiple Twitter users by IDs in a single ApiTwitter API call. Server-side pool, no cookies or proxy required.
curl --request GET \
--url https://api.apitwitter.com/twitter/users/batch \
--header 'X-API-Key: <api-key>'{
"data": [
{
"id": "44196397",
"userName": "elonmusk",
"name": "Elon Musk",
"screen_name": "elonmusk",
"description": "",
"location": "",
"url": "",
"created_at": "Tue Jun 02 20:12:29 +0000 2009",
"followers": 237097815,
"following": 1301,
"favourites_count": 218243,
"statuses_count": 99784,
"listed_count": 167966,
"media_count": 4408,
"verified": false,
"is_blue_verified": true,
"profile_image_url": "https://pbs.twimg.com/profile_images/2035314704307081216/71U1ftM3_normal.jpg",
"profile_banner_url": "https://pbs.twimg.com/profile_banners/44196397/1739948056",
"protected": false,
"can_dm": false
},
{
"id": "50393960",
"userName": "BillGates",
"name": "Bill Gates",
"screen_name": "BillGates",
"description": "Sharing things I'm learning through my foundation work and other interests.",
"location": "Seattle, WA",
"url": "https://t.co/TiXXwOGE95",
"created_at": "Wed Jun 24 18:44:10 +0000 2009",
"followers": 62764248,
"following": 572,
"favourites_count": 545,
"statuses_count": 4517,
"listed_count": 115498,
"media_count": 1530,
"verified": false,
"is_blue_verified": true,
"profile_image_url": "https://pbs.twimg.com/profile_images/1879013694367252480/Gxa-Pspq_normal.jpg",
"profile_banner_url": "https://pbs.twimg.com/profile_banners/50393960/1745250848",
"protected": false,
"can_dm": false
}
]
}userIds query parameter. No cookie or proxy required.